<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Productosgenerales (Administrador general)
class Productos_Model extends CI_Model
{ 
    function fetch_data()

{
  //$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
  $this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
  $this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
  $this->db->order_by("IdProductosGenerales", "NombreProducto");
   $query = $this->db->get("productosgenerales");
  return $query->result();
}
    function actionegeneral()
{
  $this->load->model("productos_model");
  $this->load->library("excel");
}

//Consulta que muestra las Franquicias registradas
    public function BuscarFranq(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del cliente dependiendo de la franquicia
    public function buscarporfranquicia($query) {
    $this->db->where('Franquicias_IdFranquicias', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('Productosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RProductos','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RProductos';
                 </script>";
    }
    }
//}  
//Consulta que muestra las Franquicias registradas
    public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
} 
//consulta que hace la busqueda del cliente dependiendo de la franquicia
    public function buscarportipo($query) {
    $this->db->where('TipoProducto_IdTipoProducto', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('productosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RProductos','refresh');
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RProductos';
                 </script>";
    }
}
 //Consulta que muestra las zonas registradas   
    public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporcategoria($query) {
    $this->db->where('Categoria_IdCategoria', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('productosgenerales');
    if ($query->num_rows() > 0){
      return $query;
    }else{  
      // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RProductos','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RProductos';
                 </script>";
    }
  }
}